Source: qtspeech-opensource-src
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Simon Quigley <tsimonq2@debian.org>,
           Dmitry Shachnev <mitya57@debian.org>,
           Patrick Franz <deltaone@debian.org>
Section: libs
Priority: optional
Build-Depends: debhelper-compat (= 13),
               flite1-dev,
               libasound2-dev,
               libspeechd-dev,
               pkg-kde-tools,
               qtbase5-dev (>= 5.15.15+dfsg~),
               qtbase5-private-dev (>= 5.15.15+dfsg~),
               qtmultimedia5-dev (>= 5.15.15~)
Build-Depends-Indep: qdoc-qt5 (>= 5.15.15~) <!nodoc>,
                     qhelpgenerator-qt5 (>= 5.15.15~) <!nodoc>,
                     qtattributionsscanner-qt5 (>= 5.15.15~) <!nodoc>,
                     qtbase5-doc-html (>= 5.15.15+dfsg~) <!nodoc>
Standards-Version: 4.7.0
Rules-Requires-Root: no
Vcs-Git: https://salsa.debian.org/qt-kde-team/qt/qtspeech.git
Vcs-Browser: https://salsa.debian.org/qt-kde-team/qt/qtspeech
Homepage: https://doc.qt.io/qt-5/qtspeech-index.html

Package: libqt5texttospeech5-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: libqt5texttospeech5 (= ${binary:Version}),
         qtbase5-dev,
         qtdeclarative5-dev,
         ${misc:Depends}
Description: Speech library for Qt - development files
 QtSpeech provides support for text-to-speech and speech recognition in Qt
 applications.
 .
 This package contains the development files needed to build Qt 5 applications
 using the QtSpeech library.

Package: libqt5texttospeech5
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Pre-Depends: ${misc:Pre-Depends}
Recommends: qtspeech5-speechd-plugin | qtspeech5-flite-plugin
Description: Speech library for Qt - libraries
 QtSpeech provides support for text-to-speech and speech recognition in Qt
 applications.
 .
 This package contains the QtSpeech libraries.

Package: qtspeech5-flite-plugin
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: Speech library for Qt - Flite plugin
 QtSpeech provides support for text-to-speech and speech recognition in Qt
 applications.
 .
 This package contains the plugin for Flite speech synthesis engine.

Package: qtspeech5-speechd-plugin
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: Speech library for Qt - speechd plugin
 QtSpeech provides support for text-to-speech and speech recognition in Qt
 applications.
 .
 This package contains the plugin for speechd speech synthesis engine.

Package: qtspeech5-examples
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: Speech library for Qt - Examples
 QtSpeech provides support for text-to-speech and speech recognition in Qt
 applications.
 .
 This package contains the QtSpeech examples.

Package: qtspeech5-doc
Architecture: all
Build-Profiles: <!nodoc>
Section: doc
Depends: ${misc:Depends}
Multi-Arch: foreign
Description: Speech library for Qt - documentation
 QtSpeech provides support for text-to-speech and speech recognition in Qt
 applications.
 .
 This package contains the QCH documentation, which can be viewed in
 Qt Assistant.

Package: qtspeech5-doc-html
Architecture: all
Build-Profiles: <!nodoc>
Section: doc
Depends: ${misc:Depends}
Multi-Arch: foreign
Description: Speech library for Qt - HTML documentation
 QtSpeech provides support for text-to-speech and speech recognition in Qt
 applications.
 .
 This package contains the HTML documentation.
